GET /names/search
Operation ID: —
Auth: unknown
Description
Search for information about geographical names by the text of the name itself. The response will include both official and unofficial names. Various options and filter parameters are available to refine the search.
Parameters (12)
(integer, query, optional)
A flag to indicate whether to embed the corresponding 'feature' into each matching name
Constraints: {'enum': [0, 1]}
(integer, query, optional, default: 0)
If the 'name' parameter is specified, 'exactSpelling' specifies whether to include only names that exactly match the search text (exactSpelling=1), or whether to also include names with similar spellings (exactSpelling=0)
Constraints: {'enum': [0, 1]}
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'category' The value of this parameter should be a 'featureCategoryCode' value returned by the /featureCategories resource, or an asterisk (*) to request that all feature categories be included.
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'class' The value of this parameter should be a 'featureClassCode' value returned by the /featureClasses resource, or an asterisk (*) to request that all feature classes be included.
(string, query, optional, default: *)
A filter to limit the search to names associated with features of a certain 'type' The value of this parameter should be a 'featureTypeCode' value returned by the /featureTypes resource, or an asterisk (*) to request that all feature types be included
(integer, query, optional, default: 20)
The number of search results to return (1-200)
(string, query, required)
A filter to search based on the the text of the name itself. Use the asterisk (*) as a wildcard character. For example 'vancouv*'
(string, query, required, default: json)
The format of the output.
Constraints: {'enum': ['json', 'xml', 'kml', 'csv']}
(integer, query, optional, default: 4326)
The EPSG code of the spatial reference system (SRS) to use for output geometries.
Constraints: {'enum': [4326, 4269, 3005, 3857, 26907, 26908, 26909, 26910, 26911]}
(string, query, optional, default: summary)
A flag indicating whether to include with each matching name a succinct list of attributes (summary), or a comprehensive list of attributes (detail)
Constraints: {'enum': ['summary', 'detail']}
(string, query, optional, default: relevance)
The distance to move the accessPoint away from the curb and towards the inside of the parcel (in metres). Ignored if locationDescriptor not set to accessPoint.
Constraints: {'enum': ['relevance', 'name', 'featureType', 'decisionDate']}
(integer, query, optional, default: 1)
The index of the first record to be returned (>= 1)
No probe data for this endpoint yet.